sign:
  tree:
    maximumLeaf: 1024 # Maximum leaves number per merkle tree.
spring:
  data:
    mongodb:
      auto-index-creation: false
      uri: mongodb://root:password@mongo:27017/tezos-signature?authSource=admin
  batch:
    initialize-schema: always
    datasource:
      initialize: true
      driver-class-name: org.hsqldb.jdbcDriver
      jdbcUrl: jdbc:hsqldb:mem:jobDataSource;sql.enforce_strict_size=true;hsqldb.tx=mvcc
      username: sa
      password:
  mail:
    host: mail
    port: 5025
    username: username
    password: password
    sender: signer@signature.com
    properties:
      mail:
        smtp:
          auth: true
          connectiontimeout: 5000
          timeout: 5000
          writeTimeout: 5000
          starttls:
            enable: true
  integration:
    poller:
      fixedRate: 10000
logging:
  level:
    root: info
    com:
      sword: debug
    web: warn
    org:
      springframework:
        security: info
daemon:
  anchoring:
    maxTry: 5 # Max number of anchoring tries.
    delay: 5m # Anchoring retry delay.
  callback:
    maxTry: 5 # Max number of callback tries.
    delay: 2m # Callback retry delay.
  validation:
    delay: 10m # Validation retry delay.
    timeout: 10m # Validation timeout (trigger new anchoring operation).
  poller:
    fixedRate: 10000 # Delay between each channel operation (in milliseconds).
  deferred:
    cron: "0 0 0/4 * * *" # Sign deferred documents every 4hours
jasypt:
  encryptor:
    password: secret # Password for configuration passwords encryption.
    algorithm: PBEWITHHMACSHA512ANDAES_256
    iv-generator-classname: org.jasypt.iv.RandomIvGenerator
jwt:
  secret: ffe50f21d8359de7245dc13777812c2a # Secret for authentication tokens generation/parsing.
  issuer: "Tezos@Signature"
tezos:
  keys:
    admin:
      publicKey: "TO_REPLACE_WITH_YOUR_PUBLIC_KEY" # To replace with your public key.
      secretKey: "TO_REPLACE_WITH_YOUR_SECRET_KEY" # To replace with your secret key.
  contract:
    address: "KT1Acfs1M5FXHGYQpvdKUwGbZtrUkqrisweJ" # Mainnet smart contract address
  node:
    url: "https://mainnet-tezos.giganode.io"
  validation:
    minDepth: 30
    minAge: 2h
optional-features:
  key-generation:
    enabled: false
#    default-provider-public-key: ""
#    default-provider-secret-key: ""
#    default-amount: 1000000 # in micro tez 1 = 1 000 000
